<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@B9003=63</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Stage"> <comment>Set on the 'Push Start' screen after you've inserted a credit</comment>
    <parameter min="1" max="7" step="1"/>
    <script state="on">
      <action>maincpu.pb@B9021=FF</action>
    </script>
    <script state="change">
      <action>maincpu.pb@B9021=(param-1)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@B7A29=06</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@B7A2D=02</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL1">
    <script state="run">
      <action>maincpu.pb@B7A2F=08</action>
    </script>
  </cheat>

  <cheat desc="Always Maximum Shot Power PL1">
    <script state="run">
      <action>maincpu.pb@B7A56=00</action>
      <action>maincpu.pb@B7A7F=07</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL1">
    <parameter>
      <item value="0x00">Vulcan</item>
      <item value="0x01">Fire</item>
      <item value="0x02">Multi-Way</item>
      <item value="0x03">Missile</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@B7A57=param</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL1">
    <script state="run">
      <action>maincpu.pb@B7A1D=00</action>
      <action>maincpu.pb@B7A7B=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@B7B29=06</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@B7B2D=02</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL2">
    <script state="run">
      <action>maincpu.pb@B7B2F=08</action>
    </script>
  </cheat>

  <cheat desc="Always Maximum Shot Power PL2">
    <script state="run">
      <action>maincpu.pb@B7B56=00</action>
      <action>maincpu.pb@B7B7F=07</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL2">
    <parameter>
      <item value="0x01">Vulcan</item>
      <item value="0x02">Fire</item>
      <item value="0x03">Multi-Way</item>
      <item value="0x04">Missile</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@B7B57=00</action>
      <action condition="(param==02)">maincpu.pb@B7B57=param</action>
      <action condition="(param==03)">maincpu.pb@B7B57=param</action>
      <action condition="(param==04)">maincpu.pb@B7A57=03</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL2">
    <script state="run">
      <action>maincpu.pb@B7B1D=00</action>
      <action>maincpu.pb@B7B7B=00</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
